EmbodiFlowDocs
Open console
Get startedDataWorkflows and algorithmsTraining and deploymentDeveloper reference
  • Developer reference

Authentication

  • Authentication overview
  • API keys
  • Personal access tokens
  • Browser sessions

REST API

  • Using the REST API
  • All endpoints
  • Projects
    • Recordings
      • Upload
        • Episodes and versions
          • Annotation
            • Quality and tasks
              • Search
                • Workflows
                  • GET
                    List algorithm definitions
                  • POST
                    Create a algorithm definition
                  • GET
                    Get a algorithm definition
                  • GET
                    List revisions for a algorithm definition
                  • POST
                    Create a revision
                  • POST
                    Create a publication request
                  • POST
                    Create a revocation
                  • POST
                    Create a image ref validation
                  • GET
                    Get a container run
                  • GET
                    List log downloads for a container run
                  • GET
                    List outdated outputs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List workflows for a version
                  • POST
                    Create a workflow backfill
                  • GET
                    List workflow bindings for a project
                  • PUT
                    Update a workflow binding
                  • POST
                    Create a workflow run plan
                  • GET
                    List workflow runs for a project
                  • POST
                    Create a workflow run
                  • GET
                    List recent quality jobs for a me
                  • GET
                    List workflow definitions
                  • POST
                    Create a workflow definition
                  • DELETE
                    Delete a workflow definition
                  • GET
                    Get a workflow definition
                  • PATCH
                    Update a workflow definition
                  • POST
                    Create a revision
                  • GET
                    Get a revision
                  • PUT
                    Update a revision
                  • PUT
                    Update a layout
                  • POST
                    Create a publication
                  • GET
                    Get a workflow run
                  • POST
                    Create a cancellation request
                  • GET
                    List container runs for a workflow run
                  • GET
                    List recordings for a workflow run
                  • POST
                    Create a rerun request
                  • GET
                    List steps for a workflow run
                  • GET
                    Get a workflow step run
                  • POST
                    Create a download session
                  • GET
                    List log tail for a workflow step run
                  • GET
                    List outputs for a workflow step run
                  • POST
                    Create a workflow validation
                • Algorithms
                  • Models
                    • Artifacts and export
                      • Billing and usage
                        • Team and governance
                          • Account and notifications
                            • Webhook endpoints

                              Events

                              • Outbound events
                              • Signature verification

                              Tools

                              • CLI
                              • SDK
                              • MCP

                              Updates

                              • Changelog

                              © 2026 EmbodiFlow

                              llms.txtOpenAPI JSON
                              1. Developer reference
                              2. REST API
                              3. Workflows
                              4. Get a container run

                              Get a container run

                              GET
                              /v1/container-runs/{id}
                              curl -X GET 'https://api.embodiflow.io/v1/container-runs/{id}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'

                              Authorization

                              Send a personal access token with every request.

                              • Authorization: Bearer PAT
                              Authentication guide

                              Path parameters

                              • idstringrequired

                              Responses

                              Success

                              • dataobjectrequired
                                • idstringrequired
                                • tenantIdstringrequired
                                • projectIdstring | nullrequired
                                • workflowRunIdstring | nullrequired
                                • algorithmRevisionIdstring | nullrequired
                                • trainingJobIdstring | null
                                • inferenceDeploymentIdstring | null
                                • runKindstring
                                  Allowed values
                                  training
                                  workflow-processor
                                  inference
                                • kindstringrequired
                                  Allowed values
                                  processor
                                  file-downloader
                                  quality-extractor
                                  legacy-job
                                  trainer
                                  inference-server
                                • k8sNamespacestringrequired
                                • k8sJobNamestringrequired
                                • k8sPodNamestringrequired
                                • k8sPodUidstringrequired
                                • k8sNodeNamestring | nullrequired
                                • containerNamestringrequired
                                • imageRefstring | nullrequired
                                • resourceRequestsobject | nullrequired
                                • resourceLimitsobject | nullrequired
                                • startedAtstringrequired
                                • finishedAtstringrequired
                                • durationSecondsnumberrequired
                                • exitCodenumber | nullrequired
                                • terminationReasonstring | nullrequired
                                • logObjectKeystring | nullrequired
                                • logSizeBytesstring | nullrequired
                                • logTruncatedone ofrequired
                                • logArchivedAtstring | nullrequired
                                • logRetentionExpiresAtstring | nullrequired
                                • createdAtstringrequired
                              Response example
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "workflowRunId": "string",
                                  "algorithmRevisionId": "string",
                                  "trainingJobId": "string",
                                  "inferenceDeploymentId": "string",
                                  "runKind": "training",
                                  "kind": "processor",
                                  "k8sNamespace": "string",
                                  "k8sJobName": "string",
                                  "k8sPodName": "string",
                                  "k8sPodUid": "string",
                                  "k8sNodeName": "string",
                                  "containerName": "string",
                                  "imageRef": "string",
                                  "resourceRequests": {},
                                  "resourceLimits": {},
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "durationSeconds": 0,
                                  "exitCode": 0,
                                  "terminationReason": "string",
                                  "logObjectKey": "string",
                                  "logSizeBytes": "string",
                                  "logTruncated": false,
                                  "logArchivedAt": "string",
                                  "logRetentionExpiresAt": "string",
                                  "createdAt": "string"
                                }
                              }
                              Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1
                              Previous

                              POST /algorithm-definitions/image-ref-validations

                              Next

                              GET /container-runs/{id}/log-downloads

                              curl -X GET 'https://api.embodiflow.io/v1/container-runs/{id}' \
                                -H 'Authorization: Bearer $EMBODIFLOW_PAT'
                              Response example
                              Status code
                              200
                              ​
                              {
                                "data": {
                                  "id": "string",
                                  "tenantId": "string",
                                  "projectId": "string",
                                  "workflowRunId": "string",
                                  "algorithmRevisionId": "string",
                                  "trainingJobId": "string",
                                  "inferenceDeploymentId": "string",
                                  "runKind": "training",
                                  "kind": "processor",
                                  "k8sNamespace": "string",
                                  "k8sJobName": "string",
                                  "k8sPodName": "string",
                                  "k8sPodUid": "string",
                                  "k8sNodeName": "string",
                                  "containerName": "string",
                                  "imageRef": "string",
                                  "resourceRequests": {},
                                  "resourceLimits": {},
                                  "startedAt": "string",
                                  "finishedAt": "string",
                                  "durationSeconds": 0,
                                  "exitCode": 0,
                                  "terminationReason": "string",
                                  "logObjectKey": "string",
                                  "logSizeBytes": "string",
                                  "logTruncated": false,
                                  "logArchivedAt": "string",
                                  "logRetentionExpiresAt": "string",
                                  "createdAt": "string"
                                }
                              }